Summary: netmaj 2.0.7
Name: netmaj
Version: 2.0.7
Release: 14m
License: GPL
Group: Amusements/Games
Source0: http://www.sfc.wide.ad.jp/~kusune/netmaj/files/netmaj-2.0.7.tar.gz
Source1: http://www.sfc.wide.ad.jp/~kusune/netmaj/files/netmaj-xui-2.0.7.tar.gz
Source2: http://www.geocities.co.jp/SiliconValley-PaloAlto/4984/knetmaj/kannetmaj1.0.6.tar.gz
Source3: http://www.geocities.co.jp/SiliconValley-PaloAlto/4984/knetmaj/small-pai.tar.gz
Source4: netmaj.desktop
Source5: maj.desktop
Source6: netmaj.as
Source7: maj.as
Patch0: netmaj-2.0.7.patch1
Patch1: netmaj-2.0.7.jg.patch
Patch2: netmaj-kondara.patch.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.sfc.wide.ad.jp/~kusune/netmaj/
NoSource: 0
NoSource: 1
NoSource: 2
NoSource: 3

%description
netmaj 2.0.7/netmaj-xui 2.0.7/knetmaj 1.0.6(Small Pai)

%changelog
* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.7-14m)
- revised spec for rpm 4.2.

* Tue Dec 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.0.7-13m)
- fix source location

* Wed Jan 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-9k)
- added netmaj.as and maj.as for afterstep

* Tue Jan  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-7k)
- imported netmaj.desktop and maj.desktop
- modified lang directory fromt ja_JP.ujis to ja

* Tue Oct 31 2000 Akira Higuchi <a@kondara.org>
- add Kondara patch
* Fri Apr 28 2000 Hironobu ABE <hiro-a@mars.dti.ne.jp>
- Changed for Vine Linux 2.0
* Wed Apr 26 2000 Akira Higuchi <a@kondara.org>
- First release

%prep
%setup -q -a 1 -a 2 -n netmaj
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make
cd kui
tar zxvf $RPM_SOURCE_DIR/small-pai.tar.gz
make
cd ..

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/games
mkdir -p %{buildroot}/usr/games/lib/netmaj
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/usr/X11R6/lib/X11/ja/app-defaults
mkdir -p %{buildroot}/usr/doc/netmaj-2.0.7
mkdir -p %{buildroot}/usr/doc/netmaj-2.0.7/html
mkdir -p %{buildroot}/usr/doc/netmaj-2.0.7/xui
mkdir -p %{buildroot}/usr/doc/netmaj-2.0.7/kui
make install DESTDIR=%{buildroot} XAPPLOADDIR=/usr/X11R6/lib/X11/ja/app-defaults
make install-pf DESTDIR=%{buildroot} XAPPLOADDIR=/usr/X11R6/lib/X11/ja/app-defaults
mkdir -p %{buildroot}/usr/bin
pushd %{buildroot}/usr/bin
for i in netmaj knetmaj1 knetmajcl; do
  ln -s "../../usr/games/$i" $i
done
popd
pushd %{buildroot}/usr/X11R6/bin
  ln -s "../../../usr/games/xnetmaj1" xnetmaj
popd
# rename duplicated file
cp -f xui/FILES xui/FILES.xui
install -c -m 0444 *.j FILES %{buildroot}/usr/doc/netmaj-2.0.7
install -c -m 0444 html/* FILES %{buildroot}/usr/doc/netmaj-2.0.7/html
install -c -m 0444 xui/FILES.xui xui/README.* %{buildroot}/usr/doc/netmaj-2.0.7/xui
install -c -m 0444 xui/doc/* %{buildroot}/usr/doc/netmaj-2.0.7/xui
install -c -m 0444 kui/COPYING %{buildroot}/usr/doc/netmaj-2.0.7/kui
install -c -m 0444 kui/CUSTOMIZE %{buildroot}/usr/doc/netmaj-2.0.7/kui
install -c -m 0444 kui/HISTORY %{buildroot}/usr/doc/netmaj-2.0.7/kui
install -c -m 0444 kui/INSTALL %{buildroot}/usr/doc/netmaj-2.0.7/kui
install -c -m 0444 kui/README %{buildroot}/usr/doc/netmaj-2.0.7/kui
install -c -m 0444 kui/TODO %{buildroot}/usr/doc/netmaj-2.0.7/kui
cd kui
make install DESTDIR=%{buildroot} XAPPLOADDIR=/usr/X11R6/lib/X11/ja/app-defaults

mkdir -p %{buildroot}/usr/share/gnome/apps/Games/
install -m 644 %{SOURCE4} %{buildroot}/usr/share/gnome/apps/Games/
install -m 644 %{SOURCE5} %{buildroot}/usr/share/gnome/apps/Games/

mkdir -p %{buildroot}/usr/share/afterstep/start/Games/
install -m 644 %{SOURCE6} %{buildroot}/usr/share/afterstep/start/Games/
install -m 644 %{SOURCE7} %{buildroot}/usr/share/afterstep/start/Games/

rm -rf %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.j FILES html xui/FILES.xui xui/README.* xui/doc
%doc kui/COPYING kui/CUSTOMIZE kui/HISTORY kui/INSTALL kui/README kui/TODO
/usr/bin/*
/usr/games/knetmaj1
/usr/games/knetmajcl
/usr/games/netmaj
/usr/games/netmaj1
/usr/games/plview
%ifnarch ppc
/usr/games/xnetmaj1
/usr/games/xplview
%endif
/usr/games/lib/netmaj/server
/usr/games/lib/netmaj/client
/usr/games/lib/netmaj/auto
/usr/games/lib/netmaj/server_kill
/usr/games/lib/netmaj/player_info
/usr/games/lib/netmaj/proxyserver
/usr/games/lib/netmaj/inputserver
/usr/games/lib/netmaj/proxyclient
/usr/games/lib/netmaj/netmaj.hlp
/usr/games/lib/netmaj/auto-1.pf
/usr/games/lib/netmaj/auto-2.pf
/usr/games/lib/netmaj/auto-3.pf
/usr/games/lib/netmaj/auto-4.pf
/usr/games/lib/netmaj/auto.pf
/usr/games/lib/netmaj/server.pf
%ifnarch ppc
/usr/games/lib/netmaj/xclient
%endif
/usr/games/lib/netmaj/.fcc.pf
/usr/games/lib/netmaj/.momokuri.pf
/usr/games/lib/netmaj/.monkey.pf
/usr/games/lib/netmaj/.naki.pf
/usr/games/lib/netmaj/.nomi.pf
/usr/games/lib/netmaj/.puyo.pf
/usr/games/lib/netmaj/.puyo2.pf
/usr/games/lib/netmaj/.yakuman.pf
%ifnarch ppc
/usr/X11R6/lib/X11/ja/app-defaults/Knetmaj
%endif
/usr/share/gnome/apps/Games/maj.desktop
/usr/share/gnome/apps/Games/netmaj.desktop
/usr/share/afterstep/start/Games/maj.as
/usr/share/afterstep/start/Games/netmaj.as
